## e-name-western e-name-western |

## Synopsis

                        ENameWestern;
    ENameWestern *      e_name_western_parse                (const char *full_name);
    void                e_name_western_free                 (ENameWestern *w);

## Description

## Details

### ENameWestern

    typedef struct {
    	/* Public */
    	char *prefix;
    	char *first;
    	char *middle;
    	char *nick;
    	char *last;
    	char *suffix;

    	/* Private */
    	char *full;
    } ENameWestern;

### e_name_western_parse ()

    ENameWestern *      e_name_western_parse                (const char *full_name);

Parses `full_name` and returns an ENameWestern struct filled with the component parts of the name.

`full_name` : | A string containing a western name.
Returns : | A new ENameWestern struct.

### e_name_western_free ()

    void                e_name_western_free                 (ENameWestern *w);

Frees the `w` struct and its contents.

`w` : | an ENameWestern struct